Bug 1300966 (CVE-2016-1982) - CVE-2016-1982 privoxy: invalid reads in case of corrupt chunk-encoded content
Summary: CVE-2016-1982 privoxy: invalid reads in case of corrupt chunk-encoded content
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-1982
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1300967 1300968 1300969
Blocks: 1300970
TreeView+ depends on / blocked
 
Reported: 2016-01-22 08:57 UTC by Andrej Nemec
Modified: 2019-09-29 13:42 UTC (History)
2 users (show)

Fixed In Version: privoxy 3.0.24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-23 21:07:05 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-01-22 08:57:19 UTC
A vulnerabily was discovered in a way the privoxy deals with corrupted chunk-encoded content. A maliciously crafted input can result in a remote denial of service.

CVE assignment:

http://seclists.org/oss-sec/2016/q1/179

External reference:

http://seclists.org/oss-sec/2016/q1/173

Upstream fix:

http://ijbswa.cvs.sourceforge.net/viewvc/ijbswa/current/filters.c?r1=1.196&r2=1.197

Comment 1 Andrej Nemec 2016-01-22 08:57:53 UTC
Created privoxy tracking bugs for this issue:

Affects: fedora-all [bug 1300967]
Affects: epel-6 [bug 1300968]
Affects: epel-7 [bug 1300969]

Comment 2 Tomas Hoger 2016-05-23 21:07:05 UTC
Buffer over-read issue, possibly leading to crash.  The privoxy is only included in Red Hat Enterprise Linux 5, which is in Phase 3 of its life cycle, and is therefore not planned to have this issue corrected.


Note You need to log in before you can comment on or make changes to this bug.